[flake8]
exclude =
    ./pkgs/pygen-alphabet/build/,
    ./pkgs/pygen-arg-net/build/,
    ./pkgs/pygen-arg-path/build/,
    ./pkgs/pygen-arg-text/build/,
    ./pkgs/pygen-arg/build/,
    ./pkgs/pygen-ast-analyzer/build/,
    ./pkgs/pygen-ast/build/,
    ./pkgs/pygen-cli/build/,
    ./pkgs/pygen-collection/build/,
    ./pkgs/pygen-counter/build/,
    ./pkgs/pygen-dataclass/build/,
    ./pkgs/pygen-dockerfile-doc/build/,
    ./pkgs/pygen-err/build/,
    ./pkgs/pygen-flake8/build/,
    ./pkgs/pygen-fn/build/,
    ./pkgs/pygen-jinja-doc/build/,
    ./pkgs/pygen-jinja/build/,
    ./pkgs/pygen-json/build/,
    ./pkgs/pygen-net/build/,
    ./pkgs/pygen-netaddr/build/,
    ./pkgs/pygen-os/build/,
    ./pkgs/pygen-path/build/,
    ./pkgs/pygen-py-pkg-setupfile/build/,
    ./pkgs/pygen-py/build/,
    ./pkgs/pygen-random/build/,
    ./pkgs/pygen-regex/build/,
    ./pkgs/pygen-shell-client/build/,
    ./pkgs/pygen-shell-server/build/,
    ./pkgs/pygen-shell/build/,
    ./pkgs/pygen-socket/build/,
    ./pkgs/pygen-test-filecontent/build/,
    ./pkgs/pygen-test-sample/build/,
    ./pkgs/pygen-test-simpletest/build/,
    ./pkgs/pygen-test-unittest/build/,
    ./pkgs/pygen-test-unknowndir/build/,
    ./pkgs/pygen-test-unknownfile/build/,
    ./pkgs/pygen-test/build/,
    ./pkgs/pygen-text-doc-lexer-dev/build/,
    ./pkgs/pygen-text-doc-lexer/build/,
    ./pkgs/pygen-text-doc/build/,
    ./pkgs/pygen-text-reader/build/,
    ./pkgs/pygen-text/build/,
    ./pkgs/pygen-tree/build/,
    ./pkgs/pygen-type/build/,
    ./pkgs/pygen-workspace/build/,
    ./pkgs/pygen-yaml-doc-lexer-dev/build/,
    ./pkgs/pygen-yaml-doc-lexer/build/,
    ./pkgs/pygen-yaml-doc/build/,
    ./pkgs/pygen-yaml-jinja-doc/build/
per-file-ignores =
    *.py: E501
    *.pyi: E302

[flake8:local-plugins]
paths =
    ./pkgs/pygen-alphabet/lib/,
    ./pkgs/pygen-arg-net/lib/,
    ./pkgs/pygen-arg-path/lib/,
    ./pkgs/pygen-arg-text/lib/,
    ./pkgs/pygen-arg/lib/,
    ./pkgs/pygen-ast-analyzer/lib/,
    ./pkgs/pygen-ast/lib/,
    ./pkgs/pygen-cli/lib/,
    ./pkgs/pygen-collection/lib/,
    ./pkgs/pygen-counter/lib/,
    ./pkgs/pygen-dataclass/lib/,
    ./pkgs/pygen-dockerfile-doc/lib/,
    ./pkgs/pygen-err/lib/,
    ./pkgs/pygen-flake8/lib/,
    ./pkgs/pygen-fn/lib/,
    ./pkgs/pygen-jinja-doc/lib/,
    ./pkgs/pygen-jinja/lib/,
    ./pkgs/pygen-json/lib/,
    ./pkgs/pygen-net/lib/,
    ./pkgs/pygen-netaddr/lib/,
    ./pkgs/pygen-os/lib/,
    ./pkgs/pygen-path/lib/,
    ./pkgs/pygen-py-pkg-setupfile/lib/,
    ./pkgs/pygen-py/lib/,
    ./pkgs/pygen-random/lib/,
    ./pkgs/pygen-regex/lib/,
    ./pkgs/pygen-shell-client/lib/,
    ./pkgs/pygen-shell-server/lib/,
    ./pkgs/pygen-shell/lib/,
    ./pkgs/pygen-socket/lib/,
    ./pkgs/pygen-test-filecontent/lib/,
    ./pkgs/pygen-test-sample/lib/,
    ./pkgs/pygen-test-simpletest/lib/,
    ./pkgs/pygen-test-unittest/lib/,
    ./pkgs/pygen-test-unknowndir/lib/,
    ./pkgs/pygen-test-unknownfile/lib/,
    ./pkgs/pygen-test/lib/,
    ./pkgs/pygen-text-doc-lexer-dev/lib/,
    ./pkgs/pygen-text-doc-lexer/lib/,
    ./pkgs/pygen-text-doc/lib/,
    ./pkgs/pygen-text-reader/lib/,
    ./pkgs/pygen-text/lib/,
    ./pkgs/pygen-tree/lib/,
    ./pkgs/pygen-type/lib/,
    ./pkgs/pygen-workspace/lib/,
    ./pkgs/pygen-yaml-doc-lexer-dev/lib/,
    ./pkgs/pygen-yaml-doc-lexer/lib/,
    ./pkgs/pygen-yaml-doc/lib/,
    ./pkgs/pygen-yaml-jinja-doc/lib/
